### Method

# Gdk Drop read_finish

#### Declaration [src]

    GInputStream*
    gdk_drop_read_finish (
      GdkDrop* self,
      GAsyncResult* result,
      const char** out_mime_type,
      GError** error
    )

#### Description [src]

Finishes an async drop read operation.

Note that you must not use blocking read calls on the returned stream in the GTK thread, since some platforms might require communication with GTK to complete the data transfer. You can use async APIs such as g_input_stream_read_bytes_async().

See gdk_drop_read_async().

#### Parameters

`result` | `GAsyncResult*`
| A `GAsyncResult`.
| The data is owned by the caller of the function.
`out_mime_type` | `const char**`
| Return location for the used mime type.
| The argument will be set by the function.
| The instance takes ownership of the data, and is responsible for freeing it.
| The string is a NUL terminated UTF-8 string.
`error` | `GError **`
| The return location for a `GError*`, or `NULL`.

#### Return value

Returns: | `GInputStream*`
| The `GInputStream`.
| The caller of the function takes ownership of the data, and is responsible for freeing it.
| The return value can be `NULL`.